curl https://api.ceramic.ai/search \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"query": "California rental laws"}'{
"requestId": "ae2ebd93-194f-4460-9996-15e3f86b05d8",
"result": {
"results": [
{
"title": "California Tenant Rights Guide",
"url": "https://example.com/california-tenant-rights",
"description": "Comprehensive guide to California rental laws..."
}
],
"searchMetadata": {
"executionTime": 0.097
},
"totalResults": 10
}
}Search
Search
Search the web and retrieve relevant content.
POST
/
search
curl https://api.ceramic.ai/search \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"query": "California rental laws"}'{
"requestId": "ae2ebd93-194f-4460-9996-15e3f86b05d8",
"result": {
"results": [
{
"title": "California Tenant Rights Guide",
"url": "https://example.com/california-tenant-rights",
"description": "Comprehensive guide to California rental laws..."
}
],
"searchMetadata": {
"executionTime": 0.097
},
"totalResults": 10
}
}Authorizations
API key authentication. Include your API key as a Bearer token in the Authorization header.
Body
application/json
The search query in keyword format. Must contain between 1 and 50 words (words are separated by spaces; extra whitespace is ignored).
Maximum character length for each result's description.
Required range:
1000 <= x <= 8000The number of search results to return.
Required range:
1 <= x <= 20
